Solved -  Dependcies error
#1
I tried installing from Repo and I get an error saying failed to install dependcies. Any suggestion?
Reply
#2
Which Kodi version and which Rapier version?
Reply
#3
(2017-03-15, 15:32)Gade Wrote: Which Kodi version and which Rapier version?

I am using your repository to install. Version 9.5.21. FYI, I am using an Android tv box. I just tried installing again and the exact error is "Failed to Install a Dependancy"
Thanks for the help.
Reply
#4
Do you have installed Superrepo? Since it isn't reachable anymore all downloads will fail. (it's banned anyway.)
Reply
#5
(2017-03-15, 18:02)skybird1980 Wrote: Do you have installed Superrepo? Since it isn't reachable anymore all downloads will fail. (it's banned anyway.)

I didnt have Super repo installed but I just installed 3 different ones. When I try to install from either of them all I get is Addon Repository. No Look and feel.
Reply
#6
When I goto the super repo site https://superrepo.org/kodi/addon/skin.rapier/ I can download verson 7.9.0
Can I install that via install from zip and will it get upgraded?
Reply
#7
No, never install from SuperRepo. That will almost always mess up the installation. Wink

Which Kodi version do you use?


It could be a bunch of different issues.

I'll need a log file to identify the problem. Create the log file after trying to install the skin - when the error occurs.

http://kodi.wiki/view/Log_file/Easy
Reply
#8
(2017-03-15, 19:33)Gade Wrote: Which Kodi version?


It could be a bunch of different issues.

I'll need a log file to identify the problem. Create the log file after trying to install the skin - when the error occurs.

http://kodi.wiki/view/Log_file/Easy

Where will this upload to?
Reply
#9
If you follow my link, all is described.

The add-on will upload the file and provide the link, which you can paste here.
Reply
#10
I'm still combing the log file for any passwords but I did find what i think is the issue:
When I try to go to that url it times out
14:22:08 T:18446744072878557488 ERROR: CCurlFile::Stat - Failed: Timeout was reached(28) for http://dahenchmen.xyz/Add-ons/script.art...13.1.0.zip
14:22:08 T:18446744072878557488 DEBUG: CurlFile::Open(0xd0231640) http://dahenchmen.xyz/Add-ons/script.art...13.1.0.zip
14:22:18 T:18446744072878557488 ERROR: CCurlFile::FillBuffer - Failed: Timeout was reached(28)
14:22:18 T:18446744072878557488 ERROR: CCurlFile::Open failed with code 0 for http://dahenchmen.xyz/Add-ons/script.art...13.1.0.zip
14:22:18 T:18446744072878557488 ERROR: CAddonInstallJob[script.artwork.downloader]: failed to download special://home/addons/packages/script.artwork.downloader-13.1.0.zip
14:22:18 T:18446744072878557488 ERROR: CAddonInstallJob[skin.rapier]: failed to install dependency script.artwork.downloader
Reply
#11
Here is the log
https://paste.ubuntu.com/24184124/
Reply
#12
figured it out and was able to install the skin.
The ArtWork Downloader addon & TV Show Next Aired Add on kept failing using the Kodi Repository so I went to the Kodi site and downloaded to a SD Card and successfully installed both addons. After which I installed the skin.
I have another skin that keeps failing also. I will use the log method to see what keeps failing.
Thanks for all your help!!!!
Reply
#13
Great!

Glad you got it working. Wink

Let me know if you have any other questions.


I'll mark this thread as solved.
Reply
#14
At all, it is his own fault. He uses TVAddons.ag Repo and Scripts, which are also banned.
Reply
#15
(2017-03-16, 06:14)skybird1980 Wrote: At all, it is his own fault. He uses TVAddons.ag Repo and Scripts, which are also banned.

I tried to install via the default method and it didn't work so I posted on this forum for some help. Gade was gracious enough to help. In the end I was able to install it. So rather than blame me why not offer some constructive advice?
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Dependcies error00